POST

Create redirect test

https://linkshift.app/api/v1/redirect-tests

Stores a redirect expectation fixture used for simulation-based regression checks.

Operation ID:createRedirectTestTags: Redirect Tests

Security

  • ApiKeyAuth: apiKey | header:X-API-Key | API key generated in LinkShift dashboard (`Organization -> Manage API keys`).

Parameters

This endpoint has no parameters.

Request body schema

requestBodyobjectrequired
Payload for creating a redirect test fixture.
domainGroupIdstringrequired
Domain-group scope for the test.
pathWithQuerystringrequired
Request path including query string.
minLength: 1maxLength: 16384

Response schema

Created redirect test

Content type: application/json
response 200objectrequired
Stored redirect test fixture used for regression checks.
createdAtstringrequired
Creation timestamp (UTC).
format: date-time
deletedAtstring | nullnullable
Soft-delete timestamp in UTC when deleted.
format: date-time
domainGroupIdstringrequired
Domain-group scope for this test.
idstringrequired
Redirect-test ID.
organizationIdstringrequired
Owning organization ID.
pathWithQuerystringrequired
Request path including query string.
updatedAtstringrequired
Last update timestamp (UTC).
format: date-time